*"表題   BARO 力学 初期値作成 GCM5(BDSTRT)
*
*"履歴   90/08/31 沼口  敦
*"       92/04/02 竹広真一
*
*
***********************************************************************
*"        << 格子データをスペクトルへ変換, 格子データ再作成 >>
***********************************************************************
      SUBROUTINE STRTV
     M         ( GDU   , GDV   ,
     O           GDVOR ,
     C           EDEL  , UVFACT,
     W           WDVOR           )
*
#if   HITAC
      INCLUDE   (ZCDIM)                  !" 格子点数, 波数
#elif SX3
      INCLUDE   "zcdim.F"                    !" 格子点数, 波数
#else
#include        "zcdim.F"                    !" 格子点数, 波数
#endif
*
      REAL       GDU   ( IDIM*JDIM, KMAX )   !" 西風  ｕ
      REAL       GDV   ( IDIM*JDIM, KMAX )   !" 南風  ｖ
      REAL       GDVOR ( IDIM*JDIM, KMAX )   !" 渦度  ζ
*
      REAL       EDEL  ( NMDIM  )            !" ζ,Ｄ→Ｕ,Ｖ
      REAL       UVFACT( IDIM*JDIM )         !" u→U のファクター
*
      REAL       WDVOR ( NMDIM , KMAX    )   !" 渦度  ζ
*
*"          < 1. 渦度，発散スペクトル  >
*
      CALL GUV2VD
     O         ( WDVOR ,
     I           GDU   , GDV   ,
     C           UVFACT         )
*
*"          < 5. 格子データ再作成 >
*
      CALL GENGD
     O         ( GDU   , GDV   ,
     O           GDVOR ,
     I           WDVOR ,
     C           EDEL  , UVFACT          )
*
       RETURN
       END
